Sun ONE Application Server 7.0 Error Message Cross-Site Scripting Vulnerability

2003-05-27T00:00:00
ID EDB-ID:22665
Type exploitdb
Reporter SPI Labs
Modified 2003-05-27T00:00:00

Description

Sun ONE Application Server 7.0 Error Message Cross-Site Scripting Vulnerability. CVE-2003-0413. Remote exploit for windows platform

                                        
                                            source: http://www.securityfocus.com/bid/7710/info

Sun ONE Application Server has been reported prone to a cross-site scripting vulnerability.

Sun ONE Application Server does not adequately filter script code from URL parameters, making it prone to cross-site scripting attacks. Attacker-supplied script code may be included in a malicious link to a JSP application hosted on the vulnerable server. Under some circumstances if this link is followed the code will be executed in the browser of the web user who visits the link.

This issue affects a sample script supplied with the server. The vendor has reported that the sample application 'webapps-simple' affected by this issue is not enabled by default.

This vulnerability has been reported to affect Sun ONE Application Server 6.1, 6.1 Service Pack 1, and 7.0 on Windows platforms. 

GET /webapps-simple/jsp/source.jsp?<script>alert(document.cookie)</script>
HTTP/1.0